Class ProcNode

Declaration :

- C++ : class ProcNode
- Java : public interface ProcNode

Directly inherited by : ExitNode Link Source Trafo

Key abstraction of the Render Engine: A Data processing Node

Artifact : procnode

Relation datasrc (<unidirectional association>)

Declaration :

- Uml : # datasrc : ProcNode
- C++ : protected: ProcNode * datasrc

The predecessor in a processing pipeline, i.e. a source to get data to be processed

Relation params (<directional aggregation by value>)

Declaration :

- Uml : # params : Parameter, multiplicity : 1..*
- C++ : protected: vector<Parameter> params

Relation predecessors (<directional aggregation by value>)

Declaration :

- Uml : # predecessors : WiringDescriptor, multiplicity : *
- C++ : protected: WiringDescriptor predecessors

Operation pull

Declaration :

- Uml : + pull() :
- C++ : public: pull ()

Operation process

Declaration :

- Uml : + process() :
- C++ : public: process ()

All public operations : process , pull